#include <bits/stdc++.h>

using namespace std;

int main(){
	string s1;
	string s2;
	cin >> s1 >> s2;
	string ans="";
	reverse(s1.begin(), s1.end());
	reverse(s2.begin(), s2.end());
	int n=s1.size();
	int m=s2.size();
	for(int i=0; i< max(n, m); i++){
		if(i>=n){
			ans+=s2[i];
		}
		else if(i>=m){
			ans+=s1[i];
		}
		else{
			if(s1[i]==s2[i]){
				ans+=s1[i];
				ans+=s1[i];
			}
			else{
				ans+=char(max(s1[i]-'0', s2[i]-'0')+'0');
			}
		}
		
	}
	reverse(ans.begin(), ans.end());
	int ind=0;
	for(int i=0; i< ans.size(); i++){
		if(ans[i]!=0){
			ind = i;
			break;
		}
	}
	for(int i=ind; i<ans.size(); i++){
		cout << ans[i];
	}
	cout << '\n';
}